### 5.1.124 qhweight

`Syntax:`
  `qhweight (` ideal_expression `)`
`Type:`
  intvec
`Purpose:`
  computes the weight vector of the variables for a quasihomogeneous ideal. If the input is not weighted homogeneous, an intvec of zeros is returned.
`Example:`

        ring h1=32003,(t,x,y,z),dp;
        ideal i=x4+y3+z2;
        qhweight(i);
      ==> 0,3,4,6

See ideal; intvec; weight.

User manual for Singular version 4.4.1, 2025, generated by texi2html.